Bug 1484222 - Review Request: no-more-secrets - A recreation of the "decrypting text" effect from the 1992 movie Sneakers
Summary: Review Request: no-more-secrets - A recreation of the "decrypting text" effec...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-23 04:11 UTC by Mark McKinstry
Modified: 2017-09-30 06:08 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-09 23:52:05 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Mark McKinstry 2017-08-23 04:11:34 UTC
Spec URL: https://mmckinst.fedorapeople.org/packages/no-more-secrets/no-more-secrets.spec
SRPM URL: https://mmckinst.fedorapeople.org/packages/no-more-secrets/no-more-secrets-0.3.2-1.fc25.src.rpm
Description: A tool set to recreate the famous "decrypting text" effect as seen in the 1992 movie Sneakers.
Fedora Account System Username: mmckinst

COPR build: https://copr.fedorainfracloud.org/coprs/mmckinst/no-more-secrets/build/592942/

Comment 1 Robert-André Mauchin 2017-08-23 15:18:30 UTC
Hello,

 - Please use a more meaningful name for the archive, with:

 - Replace make nms and enable debugging symbols:

%make_build CFLAGS=-g CXXFLAGS=-g nms

 - Replace make install DESTDIR=%{buildroot} with the %make_install macro

 - Remove rm -rf %{buildroot} It is unneeded.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL", "GPL (v3 or later)", "Unknown or generated". 5 files
     have unknown license. Detailed output of licensecheck in
     /home/bob/packaging/review/no-more-secrets/review-no-more-
     secrets/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in no-more-
     secrets-debuginfo
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: There are rpmlint messages (see attachment).
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: no-more-secrets-0.3.2-1.fc28.x86_64.rpm
          no-more-secrets-debuginfo-0.3.2-1.fc28.x86_64.rpm
          no-more-secrets-0.3.2-1.fc28.src.rpm
no-more-secrets.x86_64: W: spelling-error Summary(en_US) decrypting -> decryption, encrypting, decrying
no-more-secrets.x86_64: W: spelling-error %description -l en_US decrypting -> decryption, encrypting, decrying
no-more-secrets.x86_64: W: only-non-binary-in-usr-lib
no-more-secrets.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
no-more-secrets.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
no-more-secrets.src: W: spelling-error Summary(en_US) decrypting -> decryption, encrypting, decrying
no-more-secrets.src: W: spelling-error %description -l en_US decrypting -> decryption, encrypting, decrying
3 packages and 0 specfiles checked; 0 errors, 7 warnings.

Comment 2 Mark McKinstry 2017-08-23 23:58:50 UTC
* I'm not sure how to create a meaningful name for the archive.

* I added in the CFLAGS but used the %{optflags} macro instead which includes the -g flag. The Makefile doesn't have an option for CXXFLAGS so I left that out.

* I switched to the %make_install macro .

* I removed rm -rf %{buildroot} .

spec: https://mmckinst.fedorapeople.org/packages/no-more-secrets/no-more-secrets.spec

srpm: https://mmckinst.fedorapeople.org/packages/no-more-secrets/no-more-secrets-0.3.2-2.fc25.src.rpm

copr: https://copr.fedorainfracloud.org/coprs/mmckinst/no-more-secrets/build/593434/

Comment 3 Robert-André Mauchin 2017-08-24 07:04:50 UTC
Sorry my copy paste failed:


 - Please use a more meaningful name for the archive, with:

Source0:        https://github.com/bartobri/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz

Just do this and it will be okay.

Otherwise package accepted.

Comment 5 Gwyn Ciesla 2017-08-25 21:46:29 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/no-more-secrets

Comment 6 Fedora Update System 2017-08-30 22:30:12 UTC
no-more-secrets-0.3.2-3.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-92b500bbe1

Comment 7 Fedora Update System 2017-08-30 22:30:52 UTC
no-more-secrets-0.3.2-3.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-5d25c30400

Comment 8 Fedora Update System 2017-08-30 22:31:17 UTC
no-more-secrets-0.3.2-3.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-b50c986306

Comment 9 Fedora Update System 2017-08-30 22:32:01 UTC
no-more-secrets-0.3.2-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-28aed54ff9

Comment 10 Fedora Update System 2017-08-30 22:32:27 UTC
no-more-secrets-0.3.2-3.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-c837033fe0

Comment 11 Fedora Update System 2017-09-01 03:47:35 UTC
no-more-secrets-0.3.2-3.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-c837033fe0

Comment 12 Fedora Update System 2017-09-01 03:52:00 UTC
no-more-secrets-0.3.2-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-28aed54ff9

Comment 13 Fedora Update System 2017-09-01 04:21:49 UTC
no-more-secrets-0.3.2-3.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-92b500bbe1

Comment 14 Fedora Update System 2017-09-01 11:57:05 UTC
no-more-secrets-0.3.2-3.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-5d25c30400

Comment 15 Fedora Update System 2017-09-01 12:54:37 UTC
no-more-secrets-0.3.2-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-b50c986306

Comment 16 Fedora Update System 2017-09-09 23:52:05 UTC
no-more-secrets-0.3.2-3.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2017-09-10 04:52:36 UTC
no-more-secrets-0.3.2-3.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2017-09-17 11:48:31 UTC
no-more-secrets-0.3.2-3.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2017-09-17 12:19:16 UTC
no-more-secrets-0.3.2-3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2017-09-30 06:08:07 UTC
no-more-secrets-0.3.2-3.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.